
QGIS Application - Bug report #18722

crash when i trying to load a wfs layer

2018-04-14 10:06 AM - Raúl Vigueras

Status: Closed

Priority: Normal

Assignee:

Category: Web Services clients/WFS

Affected QGIS version:3.0.0 Regression?: No

Operating System: windows 10 home Easy fix?: Yes

Pull Request or Patch supplied:Yes Resolution: fixed/implemented

Crashes QGIS or corrupts data:Yes Copied to github as #: 26609

Description

User Feedback

trying to load a wfs layer

Report Details

Crash ID: 8886fa07fa66259dfaea3ebce46f7fbda39a393d

Stack Trace

geos::index::strtree::STRtree::STRIntersectsOp::~STRIntersectsOp :

QgsGeos::createGeosLinestring :

QgsGeos::asGeos :

QgsGeos::asGeos :

QgsGeos::cacheGeos :

QgsGeos::QgsGeos :

QgsGeometry::intersects :

selectWidget :

QgsAbstractFeatureIterator::nextFeature :

QgsVectorLayerFeatureIterator::fetchFeature :

QgsAbstractFeatureIterator::nextFeature :

QgsVectorLayerLabelProvider::registerFeature :

QgsVectorLayerLabelProvider::registerFeature :

QgsMapRendererParallelJob::renderLayerStatic :

QgsMapRendererParallelJob::renderingFinished :

QgsArchive::zip :

QgsMapRendererParallelJob::cancelWithoutBlocking :

QtConcurrent::ThreadEngineBase::run :

QThreadPoolPrivate::reset :

QThread::start :

BaseThreadInitThunk :

RtlUserThreadStart :

QGIS Info

QGIS Version: 3.0.1-Girona

QGIS code revision: commit:a86bec25eb

Compiled against Qt: 5.9.2

Running against Qt: 5.9.2

Compiled against GDAL: 2.2.4

Running against GDAL: 2.2.4

System Info

CPU Type: x86_64

Kernel Type: winnt

Kernel Version: 10.0.16299
History

#1 - 2018-05-31 11:52 AM - Even Rouault

- Status changed from Open to Feedback

Please provide the URL of the service and the layer you added.

Looks like a crash in GEOS

#2 - 2018-07-24 08:25 AM - Nyall Dawson

- Resolution set to fixed/implemented

- Status changed from Feedback to Closed

This is fixed in 3.2
